org.apache.commons.math3.analysis.differentiation

## Interface UnivariateFunctionDifferentiator

All Known Implementing Classes:
  FiniteDifferencesDifferentiator

    public interface UnivariateFunctionDifferentiator

Interface defining the function differentiation operation.

Since:
  3.1
Version:
  $Id: UnivariateFunctionDifferentiator.java 1416643 2012-12-03 19:37:14Z tn $

### Method Summary

Methods
`UnivariateDifferentiableFunction` `differentiate(UnivariateFunction function)` Create an implementation of a `differential` from a regular `function`.

### Method Detail

#### differentiate

    UnivariateDifferentiableFunction differentiate(UnivariateFunction function)

Create an implementation of a `differential` from a regular `function`.

Parameters:
  `function` - function to differentiate
Returns:
  differential function